<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedEntities/Triggers/EffectTrigger.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d8e/_effect_trigger_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">EffectTrigger.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d8e/_effect_trigger_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// Base class for &quot;Effect triggers&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// Registers in TriggerEffectManager and handles parameter setting through cfgEffectArea.json file</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d9f/class_effect_trigger.html">EffectTrigger</a> : <a class="code hl_class" href="../../d5/de6/class_cylinder_trigger.html">CylinderTrigger</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#abf2007b566d5ffb4d02a5d53d4b1982c">    5</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#abf2007b566d5ffb4d02a5d53d4b1982c">m_AroundPartId</a>; <span class="comment">// The main particles spawned around player when in trigger</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a95c9a9e1ea8c1aa0f76d531fa2900879">    6</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a95c9a9e1ea8c1aa0f76d531fa2900879">m_TinyPartId</a>; <span class="comment">// The smaller particles spawned around player when in trigger</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a11689e220f464895e371af26d694e336">    7</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a11689e220f464895e371af26d694e336">m_PPERequester</a>; <span class="comment">// The Post Processing used when player is in trigger</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a7d03a46f78bfa23913e9ab1e66e20767">    8</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a7d03a46f78bfa23913e9ab1e66e20767">m_DeltaTime</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a079462b842fb631e8b4e24e0213ebbef">    9</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a079462b842fb631e8b4e24e0213ebbef">m_TimeAccuStay</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#ade5ce9e0656aaefccb8ab241048624d5">   10</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ade5ce9e0656aaefccb8ab241048624d5">m_DealDamageFlag</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">   11</a></span>    <a class="code hl_class" href="../../df/def/class_trigger_effect_manager.html">TriggerEffectManager</a> <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a30e5d3b5617800f13ce48c4197b2b9ac">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a30e5d3b5617800f13ce48c4197b2b9ac">EffectTrigger</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_AroundPartId&quot;</span>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_TinyPartId&quot;</span>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_PPERequester&quot;</span>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a> = <a class="code hl_class" href="../../df/def/class_trigger_effect_manager.html">TriggerEffectManager</a>.<a class="code hl_function" href="../../df/def/class_trigger_effect_manager.html#a9e6fa928c89c94a2ee06e62074e3bd83">GetInstance</a>();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a>.<a class="code hl_function" href="../../df/def/class_trigger_effect_manager.html#a0704daee298cc4a131509514f6ccbb37">RegisterTriggerType</a>( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// ----------------------------------------------</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">//              CUSTOM EVENTS</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// ----------------------------------------------</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a0cd4837d710a8272dfa35c54ecce4377">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a0cd4837d710a8272dfa35c54ecce4377">SetLocalEffects</a>( <span class="keywordtype">int</span> aroundPartId, <span class="keywordtype">int</span> tinyPartId, <span class="keywordtype">int</span> ppeRequesterIdx )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#abf2007b566d5ffb4d02a5d53d4b1982c">m_AroundPartId</a> = aroundPartId;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a95c9a9e1ea8c1aa0f76d531fa2900879">m_TinyPartId</a> = tinyPartId;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a11689e220f464895e371af26d694e336">m_PPERequester</a> = ppeRequesterIdx;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        SetSynchDirty();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a9e8bc602c24c625e526e723c1be727ce">   37</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a9e8bc602c24c625e526e723c1be727ce">GetAmbientSoundsetName</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a91ee6c8ace9a7540d6e8822274905393">   42</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a91ee6c8ace9a7540d6e8822274905393">SetupClientEffects</a>(<span class="keywordtype">bool</span> enable, notnull <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a>.<a class="code hl_function" href="../../df/def/class_trigger_effect_manager.html#a465fc51af222ecafa44e5d44793810ff">IsPlayerInTriggerType</a>( player, <span class="keyword">this</span> ) )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">if</span> (enable)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                player.SetContaminatedEffectEx( <span class="keyword">true</span>, <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a11689e220f464895e371af26d694e336">m_PPERequester</a>, <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#abf2007b566d5ffb4d02a5d53d4b1982c">m_AroundPartId</a>, <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a95c9a9e1ea8c1aa0f76d531fa2900879">m_TinyPartId</a>, <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a353dc48eeeb67532d83d698e63af38c5">GetAmbientSoundsetName</a>() );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                player.SetContaminatedEffectEx( <span class="keyword">false</span>, <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a11689e220f464895e371af26d694e336">m_PPERequester</a> );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// ----------------------------------------------</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="comment">//              TRIGGER EVENTS</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// ----------------------------------------------</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a34a4c3f37f1db5d79770778697054d90">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a34a4c3f37f1db5d79770778697054d90">EOnFrame</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> other, <span class="keywordtype">float</span> timeSlice)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#a7d03a46f78bfa23913e9ab1e66e20767">m_DeltaTime</a> = timeSlice;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        super.EOnFrame(other, timeSlice);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a5cd13c025c6aa09fa3d347f3bdbb159f">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a5cd13c025c6aa09fa3d347f3bdbb159f">CanAddObjectAsInsider</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <span class="keywordtype">object</span>)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_class" href="../../df/d1b/class_day_z_creature_a_i.html">DayZCreatureAI</a> creature = <a class="code hl_class" href="../../df/d1b/class_day_z_creature_a_i.html">DayZCreatureAI</a>.Cast( <span class="keywordtype">object</span> );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span>(creature)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">return</span> !creature.ResistContaminatedEffect();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(<span class="keywordtype">object</span>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">return</span> player != null;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#aebfa28d42c3033c6ae9b2afd8e7b35ea">   84</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#aebfa28d42c3033c6ae9b2afd8e7b35ea">OnEnterServerEvent</a>( <a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        super.OnEnterServerEvent( insider );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="comment">// We don&#39;t need to test the trigger count as Modifiers handle such cases already</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">if</span> ( insider )</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> playerInsider = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( insider.<a class="code hl_function" href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">GetObject</a>() );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordflow">if</span>(playerInsider)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a>.<a class="code hl_function" href="../../df/def/class_trigger_effect_manager.html#aae7208c6dedb4b0a2e079ab79daccec9">OnPlayerEnter</a>( playerInsider, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#ab6bbe34e6b6a0d52d152beb02c7e6b8c">  103</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#ab6bbe34e6b6a0d52d152beb02c7e6b8c">OnEnterClientEvent</a>( <a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        super.OnEnterClientEvent( insider );</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">if</span> ( insider )</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> playerInsider = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( insider.<a class="code hl_function" href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">GetObject</a>() );</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="comment">// We will only handle the controlled player, as effects are only relevant to this player instance</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <span class="keywordflow">if</span> (playerInsider &amp;&amp; playerInsider.IsControlledPlayer() )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>                <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a91ee6c8ace9a7540d6e8822274905393">SetupClientEffects</a>(<span class="keyword">true</span>, playerInsider);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                <span class="comment">// We then handle the update of player trigger state in manager</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>                <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a>.<a class="code hl_function" href="../../df/def/class_trigger_effect_manager.html#aae7208c6dedb4b0a2e079ab79daccec9">OnPlayerEnter</a>( playerInsider, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#aaaf1c08fde2edb9c1a2a41c994e6cb85">  122</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#aaaf1c08fde2edb9c1a2a41c994e6cb85">OnLeaveServerEvent</a>( <a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider )</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        super.OnLeaveServerEvent( insider );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">if</span> ( insider )</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> playerInsider = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( insider.<a class="code hl_function" href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">GetObject</a>() );</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <span class="keywordflow">if</span> ( playerInsider )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a>.<a class="code hl_function" href="../../df/def/class_trigger_effect_manager.html#a504098de8c4b7c6eb60dee9c700a2511">OnPlayerExit</a>( playerInsider, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#ac665ec0d3bff3317db943d3ce036538d">  137</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#ac665ec0d3bff3317db943d3ce036538d">OnLeaveClientEvent</a>( <a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        super.OnLeaveClientEvent( insider );</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">if</span> ( insider )</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            <span class="comment">// Make sure you pass the set variable for PPE effect</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="comment">// It will not remove the correct one if START and STOP don&#39;t point to the same Requester</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> playerInsider = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( insider.<a class="code hl_function" href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">GetObject</a>() );</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <span class="comment">// We will only handle the controlled player, as effects are only relevant to this player instance</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">if</span> ( playerInsider &amp;&amp; playerInsider.IsControlledPlayer() )</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                <span class="comment">// We first handle the update of player trigger state in manager</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                <a class="code hl_variable" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a>.<a class="code hl_function" href="../../df/def/class_trigger_effect_manager.html#a504098de8c4b7c6eb60dee9c700a2511">OnPlayerExit</a>( playerInsider, <span class="keyword">this</span> );</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a91ee6c8ace9a7540d6e8822274905393">SetupClientEffects</a>(<span class="keyword">false</span>, playerInsider);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <span class="comment">// We remove from trigger update DEAD or RESISTANT entities to limit the amount of entities to update</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a76db4073503a319c0459cdc48b515660">  158</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a76db4073503a319c0459cdc48b515660">ShouldRemoveInsider</a>( <a class="code hl_class" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider )</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordflow">return</span> !insider.<a class="code hl_function" href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">GetObject</a>().IsAlive();</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    <span class="comment">// Used to apply the desired effect to all entities present in one trigger of the specified type</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    <span class="comment">// NOTE : This is really not optimal, if you want to add new trigger types, you will have to test for them...</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d6/d9f/class_effect_trigger.html#a32226937d445b9b79450ae9bc5896f41">  165</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d9f/class_effect_trigger.html#a32226937d445b9b79450ae9bc5896f41">TriggerEffect</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> insider, <span class="keyword">typename</span> triggerType ) {}</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>}</div>
<div class="ttc" id="aclass_cylinder_trigger_html"><div class="ttname"><a href="../../d5/de6/class_cylinder_trigger.html">CylinderTrigger</a></div><div class="ttdoc">Trigger with cylinder shape.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3e/_cylinder_trigger_8c_source.html#l00002">CylinderTrigger.c:3</a></div></div>
<div class="ttc" id="aclass_day_z_creature_a_i_html"><div class="ttname"><a href="../../df/d1b/class_day_z_creature_a_i.html">DayZCreatureAI</a></div><div class="ttdoc">do not process rotations !</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d55/_day_z_animal_8c_source.html#l00395">DayZAnimal.c:396</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html">EffectTrigger</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00002">ContaminatedTrigger.c:3</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a079462b842fb631e8b4e24e0213ebbef"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a079462b842fb631e8b4e24e0213ebbef">EffectTrigger::m_TimeAccuStay</a></div><div class="ttdeci">float m_TimeAccuStay</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00009">EffectTrigger.c:9</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a0cd4837d710a8272dfa35c54ecce4377"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a0cd4837d710a8272dfa35c54ecce4377">EffectTrigger::SetLocalEffects</a></div><div class="ttdeci">void SetLocalEffects(int aroundPartId, int tinyPartId, int ppeRequesterIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00027">EffectTrigger.c:27</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a11689e220f464895e371af26d694e336"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a11689e220f464895e371af26d694e336">EffectTrigger::m_PPERequester</a></div><div class="ttdeci">int m_PPERequester</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00007">EffectTrigger.c:7</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a30e5d3b5617800f13ce48c4197b2b9ac"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a30e5d3b5617800f13ce48c4197b2b9ac">EffectTrigger::EffectTrigger</a></div><div class="ttdeci">void EffectTrigger()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00013">EffectTrigger.c:13</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a32226937d445b9b79450ae9bc5896f41"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a32226937d445b9b79450ae9bc5896f41">EffectTrigger::TriggerEffect</a></div><div class="ttdeci">static void TriggerEffect(EntityAI insider, typename triggerType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00165">EffectTrigger.c:165</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a34a4c3f37f1db5d79770778697054d90"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a34a4c3f37f1db5d79770778697054d90">EffectTrigger::EOnFrame</a></div><div class="ttdeci">override void EOnFrame(IEntity other, float timeSlice)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00062">EffectTrigger.c:62</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a353dc48eeeb67532d83d698e63af38c5"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a353dc48eeeb67532d83d698e63af38c5">EffectTrigger::GetAmbientSoundsetName</a></div><div class="ttdeci">override string GetAmbientSoundsetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00096">ContaminatedTrigger.c:96</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a5cd13c025c6aa09fa3d347f3bdbb159f"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a5cd13c025c6aa09fa3d347f3bdbb159f">EffectTrigger::CanAddObjectAsInsider</a></div><div class="ttdeci">override bool CanAddObjectAsInsider(Object object)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00068">EffectTrigger.c:68</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a76db4073503a319c0459cdc48b515660"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a76db4073503a319c0459cdc48b515660">EffectTrigger::ShouldRemoveInsider</a></div><div class="ttdeci">override bool ShouldRemoveInsider(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00158">EffectTrigger.c:158</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a7d03a46f78bfa23913e9ab1e66e20767"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a7d03a46f78bfa23913e9ab1e66e20767">EffectTrigger::m_DeltaTime</a></div><div class="ttdeci">float m_DeltaTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00008">EffectTrigger.c:8</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a91ee6c8ace9a7540d6e8822274905393"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a91ee6c8ace9a7540d6e8822274905393">EffectTrigger::SetupClientEffects</a></div><div class="ttdeci">void SetupClientEffects(bool enable, notnull PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00042">EffectTrigger.c:42</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a95c9a9e1ea8c1aa0f76d531fa2900879"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a95c9a9e1ea8c1aa0f76d531fa2900879">EffectTrigger::m_TinyPartId</a></div><div class="ttdeci">int m_TinyPartId</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00006">EffectTrigger.c:6</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_a9e8bc602c24c625e526e723c1be727ce"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#a9e8bc602c24c625e526e723c1be727ce">EffectTrigger::GetAmbientSoundsetName</a></div><div class="ttdeci">string GetAmbientSoundsetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00037">EffectTrigger.c:37</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_aaaf1c08fde2edb9c1a2a41c994e6cb85"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#aaaf1c08fde2edb9c1a2a41c994e6cb85">EffectTrigger::OnLeaveServerEvent</a></div><div class="ttdeci">override void OnLeaveServerEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00122">EffectTrigger.c:122</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_ab4e91223bd476a850c515963c2d8aa2c"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">EffectTrigger::m_Manager</a></div><div class="ttdeci">TriggerEffectManager m_Manager</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00011">EffectTrigger.c:11</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_ab6bbe34e6b6a0d52d152beb02c7e6b8c"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#ab6bbe34e6b6a0d52d152beb02c7e6b8c">EffectTrigger::OnEnterClientEvent</a></div><div class="ttdeci">override void OnEnterClientEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00103">EffectTrigger.c:103</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_abf2007b566d5ffb4d02a5d53d4b1982c"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#abf2007b566d5ffb4d02a5d53d4b1982c">EffectTrigger::m_AroundPartId</a></div><div class="ttdeci">int m_AroundPartId</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00005">EffectTrigger.c:5</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_ac665ec0d3bff3317db943d3ce036538d"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#ac665ec0d3bff3317db943d3ce036538d">EffectTrigger::OnLeaveClientEvent</a></div><div class="ttdeci">override void OnLeaveClientEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00137">EffectTrigger.c:137</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_ade5ce9e0656aaefccb8ab241048624d5"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#ade5ce9e0656aaefccb8ab241048624d5">EffectTrigger::m_DealDamageFlag</a></div><div class="ttdeci">bool m_DealDamageFlag</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00010">EffectTrigger.c:10</a></div></div>
<div class="ttc" id="aclass_effect_trigger_html_aebfa28d42c3033c6ae9b2afd8e7b35ea"><div class="ttname"><a href="../../d6/d9f/class_effect_trigger.html#aebfa28d42c3033c6ae9b2afd8e7b35ea">EffectTrigger::OnEnterServerEvent</a></div><div class="ttdeci">override void OnEnterServerEvent(TriggerInsider insider)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8e/_effect_trigger_8c_source.html#l00084">EffectTrigger.c:84</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_trigger_effect_manager_html"><div class="ttname"><a href="../../df/def/class_trigger_effect_manager.html">TriggerEffectManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_trigger_effect_manager_8c_source.html#l00007">TriggerEffectManager.c:8</a></div></div>
<div class="ttc" id="aclass_trigger_effect_manager_html_a0704daee298cc4a131509514f6ccbb37"><div class="ttname"><a href="../../df/def/class_trigger_effect_manager.html#a0704daee298cc4a131509514f6ccbb37">TriggerEffectManager::RegisterTriggerType</a></div><div class="ttdeci">void RegisterTriggerType(EffectTrigger effectTrigger)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_trigger_effect_manager_8c_source.html#l00033">TriggerEffectManager.c:33</a></div></div>
<div class="ttc" id="aclass_trigger_effect_manager_html_a465fc51af222ecafa44e5d44793810ff"><div class="ttname"><a href="../../df/def/class_trigger_effect_manager.html#a465fc51af222ecafa44e5d44793810ff">TriggerEffectManager::IsPlayerInTriggerType</a></div><div class="ttdeci">bool IsPlayerInTriggerType(notnull PlayerBase player, notnull EffectTrigger trigger)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_trigger_effect_manager_8c_source.html#l00106">TriggerEffectManager.c:106</a></div></div>
<div class="ttc" id="aclass_trigger_effect_manager_html_a504098de8c4b7c6eb60dee9c700a2511"><div class="ttname"><a href="../../df/def/class_trigger_effect_manager.html#a504098de8c4b7c6eb60dee9c700a2511">TriggerEffectManager::OnPlayerExit</a></div><div class="ttdeci">void OnPlayerExit(notnull PlayerBase player, notnull EffectTrigger trigger)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_trigger_effect_manager_8c_source.html#l00080">TriggerEffectManager.c:80</a></div></div>
<div class="ttc" id="aclass_trigger_effect_manager_html_a9e6fa928c89c94a2ee06e62074e3bd83"><div class="ttname"><a href="../../df/def/class_trigger_effect_manager.html#a9e6fa928c89c94a2ee06e62074e3bd83">TriggerEffectManager::GetInstance</a></div><div class="ttdeci">static TriggerEffectManager GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_trigger_effect_manager_8c_source.html#l00025">TriggerEffectManager.c:25</a></div></div>
<div class="ttc" id="aclass_trigger_effect_manager_html_aae7208c6dedb4b0a2e079ab79daccec9"><div class="ttname"><a href="../../df/def/class_trigger_effect_manager.html#aae7208c6dedb4b0a2e079ab79daccec9">TriggerEffectManager::OnPlayerEnter</a></div><div class="ttdeci">void OnPlayerEnter(notnull PlayerBase player, notnull EffectTrigger trigger)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_trigger_effect_manager_8c_source.html#l00045">TriggerEffectManager.c:45</a></div></div>
<div class="ttc" id="aclass_trigger_insider_html"><div class="ttname"><a href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a></div><div class="ttdoc">The object which is in a trigger and its metadata.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db2/_trigger_8c_source.html#l00002">Trigger.c:3</a></div></div>
<div class="ttc" id="aclass_trigger_insider_html_aa302c8deb0d142296c38ff1e8aa5af49"><div class="ttname"><a href="../../d2/db9/class_trigger_insider.html#aa302c8deb0d142296c38ff1e8aa5af49">TriggerInsider::GetObject</a></div><div class="ttdeci">Object GetObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db2/_trigger_8c_source.html#l00028">Trigger.c:28</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_d0a9ed3069b91726da9f1927000078f9.html">ScriptedEntities</a></li><li class="navelem"><a class="el" href="../../dir_6078c131c69a1ce41efd829f012f12be.html">Triggers</a></li><li class="navelem"><a class="el" href="../../d7/d8e/_effect_trigger_8c.html">EffectTrigger.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
